---
layout: gettingstarted
title:  "Test platform components"
permalink: /getting-started/test-platform-components/
---

Sam lets you test various components of the Snips Platform, ensuring that everything is running well.

## Testing hotwords

In order to test that hotwords are properly detected, run the following command:

```sh
$ sam test hotword
Testing installed hotword. Say 'hey snips'...
```

Each time the hotword is detected, it will display in the command line.

## Testing ASR

Similarly, to check that the ASR is properly transcribing your voice, run:

```sh
$ sam test asr
Testing ASR. Say something your assistant is supposed to understand...
```

The output of the ASR will be displayed, and should match almost perfectly if the assistant was trained to understand your sentence.

<br />
<a class="button is-primary" href="{{ site.baseurl }}/getting-started/next-steps/">
  I tested platform components
</a>
<a class="button" href="#">
  Report a problem
</a>