---
layout: gettingstarted
title:  "Test skills locally"
permalink: /getting-started/test-skills-locally/
---

It can be convenient to test your skill locally, before deploying it to your device.

Send a sample intent to your skill as follows:

```sh
$ sam test skill calculator intent=GetSum firstTerm=3 secondTerm=5
```

This command will test the `calculator` skill from the previous step, sending a `GetSum` intent with slots `firstTerm` and `secondTerm`.

You may omit the reference to the skill name, and thereby test that the right skill is being executed upon receiving a certain intent:

```sh
$ sam test skill intent=GetProduct firstTerm=4 secondTerm=3
```

<br />
<a class="button is-primary" href="{{ site.baseurl }}/getting-started/test-platform-components/">
  I tested a skill
</a>
<a class="button" href="#">
  Report a problem
</a>
