import { Plugins } from './plugins/plugins';
import { Prompt } from './utils/prompt';
import { Stream } from './utils/stream';

export class CLI {

    public stream: Stream;
    public prompt: Prompt;
    public plugins: Plugins;

    constructor() {
        this.stream = new Stream(process.stdout);
        this.prompt = new Prompt(this.stream);
        this.plugins = new Plugins();
    }
}

export const cli = new CLI();
export default cli;
