export class Assistant {

    name: string;
    language: string;
    asrType: string;
    hotword: string;

    constructor(name: string, language: string, asrType: string, hotword: string) {
        this.name = name;
        this.language = language;
        this.asrType = asrType;
        this.hotword = hotword;
    }

    public static fromString = (json: string): Assistant | undefined => {
        let parsed: any;
        try {
            parsed = JSON.parse(json);
        } catch (e) {
            return undefined;
        }

        return new Assistant(parsed.name, parsed.language, parsed.asr.type, parsed.hotword);
    }
}
