export class AudioDevice {
    card: number;
    subdevice: number;
    name: string;

    constructor(alsastring: string) {
        // card 0: ALSA [bcm2835 ALSA], device 0: bcm2835 ALSA [bcm2835 ALSA]
        const infos = alsastring.split(/[,:]+/);
        this.card = Number(infos[0].replace('card ', ''));
        this.subdevice = Number(infos[2].replace('device ', ''));
        this.name = infos[3];
    }
}
