---
layout: gettingstarted
title:  "Set up"
permalink: /getting-started/setup/
---

In this step, you will install all the necessary dependencies on the Raspberry Pi to run the Snips Platform as well as the Sam Server.

Initialise the device:

```sh
$ sam init
Installing Snips Platform components. List may take a few minutes...
Successfully installed Snips Platform components
```

Once the device has rebooted, you can again check its status. Notice that the Snips Platform and Sam Server are now installed, and that the device status is "Live":

```sh
$ sam status

Connected to device raspberrypi.local

OS version ................... Raspbian GNU/Linux 9 (stretch)
Installed assistant .......... Not installed
Status ....................... Installed, not running

Service status:

snips-hotword ................ 0.51.14 (not running)
snips-queries ................ 0.51.14 (not running)
snips-analytics .............. 0.51.14 (not running)
snips-dialogue ............... 0.51.14 (not running)
snips-asr .................... 0.51.14 (not running)
snips-tts .................... 0.51.14 (not running)
snips-audio-server ........... 0.51.14 (not running)
```

<br />
<a class="button is-primary" href="{{ site.baseurl }}/getting-started/hardware-configuration/">
  I have installed Snips on my device
</a>
<a class="button" href="#">
  Report a problem
</a>
