---
# You don't need to edit this file, it's empty on purpose.
# Edit theme's home layout instead if you wanna make some changes
# See: https://jekyllrb.com/docs/themes/#overriding-theme-defaults
layout: plain
title: Sam
---

<section class="hero">
    <div class="hero-body">
        <div class="container intro">
                <div class="notification is-danger">
                  Note: Sam is currently in early alpha. Some of the features described here are subject to breaking changes, or not yet implemented. Keep this in mind when using it ;)
                </div>
            <div class="columns">
                <div class="column is-4 is-offset-1">
                    <img id="avatar" src="{{ site.baseurl }}/images/Avatar.png" srcset="{{ site.baseurl }}/images/Avatar@2x.png 2x"/>
                    <h2 class="title intro-title">
                        <strong>Sam</strong> is an open source <strong>CLI</strong> for creating and managing <strong>private</strong> voice assistants using <strong>Snips</strong>.
                    </h2>
                    <!-- <div id="ghbtns" class="intro-ghbtns">
                        <iframe src="https://ghbtns.com/github-btn.html?user=snipsco&amp;repo=sam&amp;type=star&amp;count=true&amp;size=large" frameborder="0" scrolling="0" width="160px" height="30px"></iframe>
                        <iframe src="https://ghbtns.com/github-btn.html?user=snipsco&amp;repo=sam&amp;type=fork&amp;count=false&amp;size=large" frameborder="0" scrolling="0" width="80px" height="30px"></iframe>
                    </div>
                    <pre class="highlight sh"><code><span class="prompt">$ </span><span class="command">npm install -g sam</span></code></pre> -->
                    <nav class="intro-buttons">
                        <div class="columns">
                            <div class="column is-6">
                                <a class="button is-primary is-medium" style="width:100%" href="{{site.baseurl}}/getting-started/introduction/">
                                    <span>Getting Started</span>
                                </a>
                            </div>
                            <div class="column is-6">
                                <a class="button is-dark is-medium is-outlined" style="width:100%" href="{{site.baseurl}}/reference/">
                                    <span>View Docs</span>
                                </a>
                            </div>
                        </div>
                    </nav>
                </div>
                <div class="column is-5 is-offset-1">
                    <pre class="highlight sh large-shadow" style="margin-top:7rem;"><code><span class="prompt">$ </span><span class="command">sam init</span><br><span class="output">Installing the Snips toolkit on device raspi-snips</span><br><span class="output">Installing the Snips Platform</span><br><span class="output">Installing the Sam Server</span><br><span class="output">Setting up Bluetooth</span><br><span class="output">Rebooting device</span><br><span class="output">[OK] Installation finished</span><br><span class="output"></span></code>




                    </pre>

                    <!-- <iframe id="introIframe" src="https://player.vimeo.com/video/223255884?color=00d1b2" width="800" height="400" frameborder="0" webkitallowfullscreen="" mozallowfullscreen="" allowfullscreen="" data-vimeo-tracked="true" data-ready="true"></iframe> -->
                </div>
            </div>
        </div>
    </div>
</section>