---
layout: article
title: "Raspberry Pi Setup"
subtitle: A short note on how to set up a Raspberry Pi from scratch.
permalink: /tutorials/raspberry-pi-setup/
toc: Hardware requirements|Accessing the Pi|Testing the setup
---

# Hardware requirements

In order to run the Snips Platform on a Raspberry Pi, you will need the following:

- A [Raspberry Pi 3 Model B](https://www.raspberrypi.org/products/raspberry-pi-3-model-b/)
- A microphone (see [Microphone Recommendations]({{ site.baseurl }}/articles/microphones/recommendations))
- Optionally, a [USB](https://www.adafruit.com/product/3369) or [3.5mm-jack](https://www.sparkfun.com/products/14023) speaker for audio playback

# Hardware requirements

https://www.raspberrypi.org/documentation/installation/installing-images/linux.md