"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const plugins_1 = require("./plugins/plugins");
const prompt_1 = require("./utils/prompt");
const stream_1 = require("./utils/stream");
class CLI {
    constructor() {
        this.stream = new stream_1.Stream(process.stdout);
        this.prompt = new prompt_1.Prompt(this.stream);
        this.plugins = new plugins_1.Plugins();
    }
}
exports.CLI = CLI;
exports.cli = new CLI();
exports.default = exports.cli;
