"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Assistant {
    constructor(name, language, asrType, hotword) {
        this.name = name;
        this.language = language;
        this.asrType = asrType;
        this.hotword = hotword;
    }
}
Assistant.fromString = (json) => {
    let parsed;
    try {
        parsed = JSON.parse(json);
    }
    catch (e) {
        return undefined;
    }
    return new Assistant(parsed.name, parsed.language, parsed.asr.type, parsed.hotword);
};
exports.Assistant = Assistant;
