"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SkillLang;
(function (SkillLang) {
    SkillLang[SkillLang["PYTHON"] = 0] = "PYTHON";
    SkillLang[SkillLang["JAVASCRIPT"] = 1] = "JAVASCRIPT";
})(SkillLang = exports.SkillLang || (exports.SkillLang = {}));
exports.langFromString = (lang, defaultLang = SkillLang.PYTHON) => {
    if (lang === 'python' || lang === 'py') {
        return SkillLang.PYTHON;
    }
    if (lang === 'javascript' || lang === 'js') {
        return SkillLang.JAVASCRIPT;
    }
    return defaultLang;
};
exports.toString = (lang) => {
    switch (lang) {
        case SkillLang.PYTHON: return 'Python';
        case SkillLang.JAVASCRIPT: return 'Javascript';
        default: return undefined;
    }
};
